Ability to redefine "Help" link
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

It would be useful to redefine the "help" link, to link them to some wikipage for example.

The most endusers won't request some feature on Redmine. It would be useful to link it to a selfdefined wikipage.

What do you think?

Related issues:

Has duplicate Redmine - Feature #9355: Allow customize help_url without chang... Closed 2011-09-30

History

#1 - 2013-01-27 16:38 - Ivan Cenov

Edit source:/trunk/lib/redmine/info.rb. Change the line 6:

def help_url; 'http://www.redmine.org/guide' end

to what you want, par example

def help_url; 'http://redmine.mycompany.com/projects/help/wiki' end

#2 - 2013-01-27 22:15 - Daniel Felix

Thanks Ivan. I found this line too. But this always requires some codechange on every update. With some option, this could be handled much better.

#3 - 2013-01-27 23:12 - Mischa The Evil

- Subject changed from Abbility to redefine "Help" link to Ability to redefine "Help" link

#4 - 2013-01-27 23:21 - Jean-Philippe Lang

Daniel Felix wrote:

Thanks Ivan. I found this line too. But this always requires some codechange on every update. With some option, this could be handled much

better.

 You can use the menu API to remove the default item and add your own from a plugin.

#5 - 2013-01-29 20:31 - Mischa The Evil

Jean-Philippe Lang wrote:

You can use the menu API to remove the default item and add your own from a plugin.

 See source:/trunk/lib/redmine/plugin.rb#L251 (menu and aliased #add_menu_item) upto source:/trunk/lib/redmine/plugin.rb#L265

(#delete_menu_item).

Edit: I think this could be done best using a custom plugin. Close as won't fix?

#6 - 2013-01-29 21:39 - Jean-Philippe Lang

- Status changed from New to Closed
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/info.rb
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/plugin.rb#L251
https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/lib/redmine/plugin.rb#L265


- Resolution set to Wont fix

#7 - 2013-02-25 05:20 - Mischa The Evil

I started work on a new plugin for this. The Redmine Custom Help URL plugin is the result.

See Redmine Custom Help URL plugin (v.0.0.2) for the first public announcement.

#8 - 2013-06-07 11:47 - Jan Niggemann (redmine.org team member)

I very much welcome this plugin, but wasn't the original idea to include the gudie in the releases so people don't register here to post bugs belonging

to other software?

Examples are easy to find and include

#13934

#14027

#14081

#14126

#14213

#13737
https://github.com/MischaTheEvil/redmine_custom_help_url
https://www.redmine.org/boards/3/topics/36552
https://www.redmine.org/issues/13934
https://www.redmine.org/issues/14027
https://www.redmine.org/issues/14081
https://www.redmine.org/issues/14126
https://www.redmine.org/issues/13737
http://www.tcpdf.org

